#!/bin/sh
#
# $FreeBSD: ports/mail/popular/files/pserv.sh.in,v 1.1 2005/08/30 14:09:24 pav Exp $
#

# PROVIDE: pserv
# REQUIRE: NETWORKING SERVERS
# BEFORE: DAEMON
# KEYWORD: shutdown

# /etc/rc.conf lines:
# pserv="YES"   # enable pserv
# pserv="pop"   # user for pserv

. /etc/rc.subr

name="pserv"
rcvar=`set_rcvar`

load_rc_config $name

: ${pserv="NO"}
: ${pserv="pop"}

command="/usr/local/sbin/pserv"
start_precmd="${name}_prestart"
start_postcmd="${name}_configure"
extra_commands="reload"
reload_cmd="${name}_configure"

pproxy_prestart()
{
	mkdir -p /var/log/popular
	chown ${pproxy_user} /var/log/popular
	mkdir -p /var/run/popular
	chown ${pproxy_user} /var/run/popular
}

pproxy_configure()
{
	if [ -f /usr/local/etc/popular/pserv.rc ]; then
		sleep 1;
		su -m ${pproxy_user} -c "/usr/local/bin/pcontrol --program=pserv /usr/local/etc/popular/pserv.rc"
	fi
}

run_rc_command "$1"
